Bug 466616 - [NetApp 5.5 feat] mkinitrd doesn't support changing root volume from non-multipath to multipath configuration.
[NetApp 5.5 feat] mkinitrd doesn't support changing root volume from non-mult...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.2
All Linux
high Severity high
: rc
: 5.5
Assigned To: Peter Jones
Release Test Team
: FutureFeature, OtherQA
Depends On:
Blocks: 518982
  Show dependency treegraph
 
Reported: 2008-10-11 08:35 EDT by nandkumar mane
Modified: 2009-10-27 15:15 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 518982 (view as bug list)
Environment:
Last Closed: 2009-10-27 15:15:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nandkumar mane 2008-10-11 08:35:11 EDT
Description of problem:
mkinitrd shipped with RHEL5.2 doesn't support changing root volume which is on iscsi lun to multipathed device. This creates a problem when one has installed root on iscsi lun and as multiple paths to the lun are now available, he wants to move root to multipathed iscsi device.(eg. from /dev/sda to /dev/mapper/mpath0). mkinitrd is expected to change initrd image,grub parameters and fstab entry.

Version-Release number of selected component (if applicable):
mkinitrd-5.1.19.6-28

How reproducible:
very reproducible

Steps to Reproduce:
1.Finish SANboot(root on iscsi lun) installtion. 
2. you will see df output something like this.
/dev/sda3              7632880   3298568   3940320  46% /
3.Here sda is a iscsi device.
4.Enable more than one paths to the same lun.
5.Configure multipath.
6.Execute mkinitrd with multipath module include option.
  
Actual results:
mkinitrd will only include multipath modules in initrd. If you reboot system, you won't see any difference. Root will still be on iscsi lun and not on multipathed device.

Expected results:
mkinitrd should change initrd in such a way that, on next reboot root should be on multipathed device.

Additional info:
This can be taken as feature request. SUSE does provide this support. There, if you run 'mkinird -f mpath', root does get shift to multipathed device.
Comment 1 Denise Dumas 2009-06-30 16:50:01 EDT
Moving to RHEL 5.5 so it doesn't get mistakenly closed by the bot
Comment 2 Denise Dumas 2009-10-27 15:15:41 EDT
In RHEL6, dracut will be able to handle the change from single
path to multipath iscsi (possibly without even needing
to rebuild the initrd).

However, it is not appropriate for either it or mkinitrd to 
change grub parameters and/or fstab entries. When someone changes a storage configuration they should update fstab and grub themselves. Maybe we
can add some *separate* tool to help them with this,but modifying these files is well outside the design center for mkinitrd / dracut.

Note You need to log in before you can comment on or make changes to this bug.